src/Pure/build-jars
changeset 64370 865b39487b5d
parent 64369 6a9816764b37
child 64375 74a2af7c5145
     1.1 --- a/src/Pure/build-jars	Mon Oct 24 12:01:36 2016 +0200
     1.2 +++ b/src/Pure/build-jars	Mon Oct 24 12:16:12 2016 +0200
     1.3 @@ -166,7 +166,6 @@
     1.4    echo
     1.5    echo "  Options are:"
     1.6    echo "    -f           fresh build"
     1.7 -  echo "    -t           test separate compilation of PIDE"
     1.8    echo
     1.9    exit 1
    1.10  }
    1.11 @@ -185,17 +184,13 @@
    1.12  # options
    1.13  
    1.14  FRESH=""
    1.15 -TEST_PIDE=""
    1.16  
    1.17 -while getopts "ft" OPT
    1.18 +while getopts "f" OPT
    1.19  do
    1.20    case "$OPT" in
    1.21      f)
    1.22        FRESH=true
    1.23        ;;
    1.24 -    t)
    1.25 -      TEST_PIDE=true
    1.26 -      ;;
    1.27      \?)
    1.28        usage
    1.29        ;;
    1.30 @@ -215,19 +210,6 @@
    1.31  TARGET_DIR="$ISABELLE_HOME/lib/classes"
    1.32  TARGET="$TARGET_DIR/Pure.jar"
    1.33  
    1.34 -declare -a PIDE_SOURCES=()
    1.35 -declare -a PURE_SOURCES=()
    1.36 -
    1.37 -for DEP in "${SOURCES[@]}"
    1.38 -do
    1.39 -  if grep "Module:.*PIDE" "$DEP" >/dev/null
    1.40 -  then
    1.41 -    PIDE_SOURCES["${#PIDE_SOURCES[@]}"]="$DEP"
    1.42 -  else
    1.43 -    PURE_SOURCES["${#PURE_SOURCES[@]}"]="$DEP"
    1.44 -  fi
    1.45 -done
    1.46 -
    1.47  declare -a UPDATED=()
    1.48  
    1.49  if [ -n "$FRESH" ]; then
    1.50 @@ -269,15 +251,8 @@
    1.51      classpath classes
    1.52      export CLASSPATH="$(platform_path "$ISABELLE_CLASSPATH")"
    1.53  
    1.54 -    if [ "$TEST_PIDE" = true ]; then
    1.55 -      isabelle_scala scalac $SCALAC_OPTIONS "${PIDE_SOURCES[@]}" || \
    1.56 -        fail "Failed to compile PIDE sources"
    1.57 -      isabelle_scala scalac $SCALAC_OPTIONS "${PURE_SOURCES[@]}" || \
    1.58 -        fail "Failed to compile Pure sources"
    1.59 -    else
    1.60 -      isabelle_scala scalac $SCALAC_OPTIONS "${PIDE_SOURCES[@]}" "${PURE_SOURCES[@]}" || \
    1.61 -        fail "Failed to compile sources"
    1.62 -    fi
    1.63 +    isabelle_scala scalac $SCALAC_OPTIONS "${SOURCES[@]}" || \
    1.64 +      fail "Failed to compile sources"
    1.65    ) || exit "$?"
    1.66  
    1.67    mkdir -p "$TARGET_DIR" || fail "Failed to create directory $TARGET_DIR"